%define pkg_name        PerlIO-via-Base64
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 3.n0i.4

Summary:       PerlIO layer for base64 (MIME) encoded strings
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EL/ELIZABETH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)


%description
This module implements a PerlIO layer that works on files encoded in the
Base64 format (as described in RFC 2045). It will decode from base64 format
while reading from a handle, and it will encode to base64 while writing to a
handle.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGELOG README VERSION


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.07-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 0.07-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.1
- version 0.07
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
